patch-configure 6.9 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241
  1. --- libxslt-1.1.24.orig/configure 2008-05-13 17:40:54.000000000 +0200
  2. +++ libxslt-1.1.24/configure 2011-02-15 18:11:46.000000000 +0100
  3. @@ -6799,238 +6799,6 @@ fi
  4. -if test -n "$CXX" && ( test "X$CXX" != "Xno" &&
  5. - ( (test "X$CXX" = "Xg++" && `g++ -v >/dev/null 2>&1` ) ||
  6. - (test "X$CXX" != "Xg++"))) ; then
  7. - ac_ext=cpp
  8. -ac_cpp='$CXXCPP $CPPFLAGS'
  9. -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  10. -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  11. -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
  12. -{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
  13. -echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
  14. -if test -z "$CXXCPP"; then
  15. - if test "${ac_cv_prog_CXXCPP+set}" = set; then
  16. - echo $ECHO_N "(cached) $ECHO_C" >&6
  17. -else
  18. - # Double quotes because CXXCPP needs to be expanded
  19. - for CXXCPP in "$CXX -E" "/lib/cpp"
  20. - do
  21. - ac_preproc_ok=false
  22. -for ac_cxx_preproc_warn_flag in '' yes
  23. -do
  24. - # Use a header file that comes with gcc, so configuring glibc
  25. - # with a fresh cross-compiler works.
  26. - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  27. - # <limits.h> exists even on freestanding compilers.
  28. - # On the NeXT, cc -E runs the code through the compiler's parser,
  29. - # not just through cpp. "Syntax error" is here to catch this case.
  30. - cat >conftest.$ac_ext <<_ACEOF
  31. -/* confdefs.h. */
  32. -_ACEOF
  33. -cat confdefs.h >>conftest.$ac_ext
  34. -cat >>conftest.$ac_ext <<_ACEOF
  35. -/* end confdefs.h. */
  36. -#ifdef __STDC__
  37. -# include <limits.h>
  38. -#else
  39. -# include <assert.h>
  40. -#endif
  41. - Syntax error
  42. -_ACEOF
  43. -if { (ac_try="$ac_cpp conftest.$ac_ext"
  44. -case "(($ac_try" in
  45. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  46. - *) ac_try_echo=$ac_try;;
  47. -esac
  48. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  49. - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  50. - ac_status=$?
  51. - grep -v '^ *+' conftest.er1 >conftest.err
  52. - rm -f conftest.er1
  53. - cat conftest.err >&5
  54. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  55. - (exit $ac_status); } >/dev/null && {
  56. - test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
  57. - test ! -s conftest.err
  58. - }; then
  59. - :
  60. -else
  61. - echo "$as_me: failed program was:" >&5
  62. -sed 's/^/| /' conftest.$ac_ext >&5
  63. -
  64. - # Broken: fails on valid input.
  65. -continue
  66. -fi
  67. -
  68. -rm -f conftest.err conftest.$ac_ext
  69. -
  70. - # OK, works on sane cases. Now check whether nonexistent headers
  71. - # can be detected and how.
  72. - cat >conftest.$ac_ext <<_ACEOF
  73. -/* confdefs.h. */
  74. -_ACEOF
  75. -cat confdefs.h >>conftest.$ac_ext
  76. -cat >>conftest.$ac_ext <<_ACEOF
  77. -/* end confdefs.h. */
  78. -#include <ac_nonexistent.h>
  79. -_ACEOF
  80. -if { (ac_try="$ac_cpp conftest.$ac_ext"
  81. -case "(($ac_try" in
  82. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  83. - *) ac_try_echo=$ac_try;;
  84. -esac
  85. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  86. - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  87. - ac_status=$?
  88. - grep -v '^ *+' conftest.er1 >conftest.err
  89. - rm -f conftest.er1
  90. - cat conftest.err >&5
  91. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  92. - (exit $ac_status); } >/dev/null && {
  93. - test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
  94. - test ! -s conftest.err
  95. - }; then
  96. - # Broken: success on invalid input.
  97. -continue
  98. -else
  99. - echo "$as_me: failed program was:" >&5
  100. -sed 's/^/| /' conftest.$ac_ext >&5
  101. -
  102. - # Passes both tests.
  103. -ac_preproc_ok=:
  104. -break
  105. -fi
  106. -
  107. -rm -f conftest.err conftest.$ac_ext
  108. -
  109. -done
  110. -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
  111. -rm -f conftest.err conftest.$ac_ext
  112. -if $ac_preproc_ok; then
  113. - break
  114. -fi
  115. -
  116. - done
  117. - ac_cv_prog_CXXCPP=$CXXCPP
  118. -
  119. -fi
  120. - CXXCPP=$ac_cv_prog_CXXCPP
  121. -else
  122. - ac_cv_prog_CXXCPP=$CXXCPP
  123. -fi
  124. -{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
  125. -echo "${ECHO_T}$CXXCPP" >&6; }
  126. -ac_preproc_ok=false
  127. -for ac_cxx_preproc_warn_flag in '' yes
  128. -do
  129. - # Use a header file that comes with gcc, so configuring glibc
  130. - # with a fresh cross-compiler works.
  131. - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  132. - # <limits.h> exists even on freestanding compilers.
  133. - # On the NeXT, cc -E runs the code through the compiler's parser,
  134. - # not just through cpp. "Syntax error" is here to catch this case.
  135. - cat >conftest.$ac_ext <<_ACEOF
  136. -/* confdefs.h. */
  137. -_ACEOF
  138. -cat confdefs.h >>conftest.$ac_ext
  139. -cat >>conftest.$ac_ext <<_ACEOF
  140. -/* end confdefs.h. */
  141. -#ifdef __STDC__
  142. -# include <limits.h>
  143. -#else
  144. -# include <assert.h>
  145. -#endif
  146. - Syntax error
  147. -_ACEOF
  148. -if { (ac_try="$ac_cpp conftest.$ac_ext"
  149. -case "(($ac_try" in
  150. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  151. - *) ac_try_echo=$ac_try;;
  152. -esac
  153. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  154. - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  155. - ac_status=$?
  156. - grep -v '^ *+' conftest.er1 >conftest.err
  157. - rm -f conftest.er1
  158. - cat conftest.err >&5
  159. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  160. - (exit $ac_status); } >/dev/null && {
  161. - test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
  162. - test ! -s conftest.err
  163. - }; then
  164. - :
  165. -else
  166. - echo "$as_me: failed program was:" >&5
  167. -sed 's/^/| /' conftest.$ac_ext >&5
  168. -
  169. - # Broken: fails on valid input.
  170. -continue
  171. -fi
  172. -
  173. -rm -f conftest.err conftest.$ac_ext
  174. -
  175. - # OK, works on sane cases. Now check whether nonexistent headers
  176. - # can be detected and how.
  177. - cat >conftest.$ac_ext <<_ACEOF
  178. -/* confdefs.h. */
  179. -_ACEOF
  180. -cat confdefs.h >>conftest.$ac_ext
  181. -cat >>conftest.$ac_ext <<_ACEOF
  182. -/* end confdefs.h. */
  183. -#include <ac_nonexistent.h>
  184. -_ACEOF
  185. -if { (ac_try="$ac_cpp conftest.$ac_ext"
  186. -case "(($ac_try" in
  187. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  188. - *) ac_try_echo=$ac_try;;
  189. -esac
  190. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  191. - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  192. - ac_status=$?
  193. - grep -v '^ *+' conftest.er1 >conftest.err
  194. - rm -f conftest.er1
  195. - cat conftest.err >&5
  196. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  197. - (exit $ac_status); } >/dev/null && {
  198. - test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
  199. - test ! -s conftest.err
  200. - }; then
  201. - # Broken: success on invalid input.
  202. -continue
  203. -else
  204. - echo "$as_me: failed program was:" >&5
  205. -sed 's/^/| /' conftest.$ac_ext >&5
  206. -
  207. - # Passes both tests.
  208. -ac_preproc_ok=:
  209. -break
  210. -fi
  211. -
  212. -rm -f conftest.err conftest.$ac_ext
  213. -
  214. -done
  215. -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
  216. -rm -f conftest.err conftest.$ac_ext
  217. -if $ac_preproc_ok; then
  218. - :
  219. -else
  220. - { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
  221. -See \`config.log' for more details." >&5
  222. -echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
  223. -See \`config.log' for more details." >&2;}
  224. - { (exit 1); exit 1; }; }
  225. -fi
  226. -
  227. -ac_ext=cpp
  228. -ac_cpp='$CXXCPP $CPPFLAGS'
  229. -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  230. -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  231. -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
  232. -
  233. -fi
  234. -
  235. -
  236. ac_ext=f
  237. ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
  238. ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'